Bug 109932 - NVidia GeForce2 Go graphics card gives split screen in X window
NVidia GeForce2 Go graphics card gives split screen in X window
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: XFree86 (Show other bugs)
1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
: MoveUpstream, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-12 22:48 EST by brian atkisson
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-12 02:30:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description brian atkisson 2003-11-12 22:48:41 EST
Description of problem:
I have a Dell Latitude C810 notebook with an NVidia GeForce2 Go
graphics card.  Things work fine when starting up X, however, when the
screen blanks (powersaving mode) and returns, the picture is split
horizontally.  The bottom of the screen is displayed in the middle of
it, as if the vertical hold needs to be adjusted.

Version-Release number of selected component (if applicable):


How reproducible:
all the time.

Steps to Reproduce:
1.startx
2.let monitor blank
3.return from powersave mode
  
Actual results:
screen is split

Expected results:
screen not to be split

Additional info:
Comment 1 Mike A. Harris 2003-11-13 03:33:07 EST
The "nv" driver supplied with the distribution is supplied as is.
Fixing bugs in the driver requires not only the source code, but
also the detailed technical specifications for the video hardware,
and physical access to the hardware.  Nvidia does not provide 3rd
parties with their technical specifications and as such, we are
unable to fix bugs in the driver.

Please report this problem to XFree86.org at http://bugs.xfree86.org
as this is most likely a video driver bug.  Attach your X server
log file, and config file to the bug report, so that the Nvidia
driver maintainer has some information to work with.  Please
paste your URL here once you've filed your bug report, and I will
track this issue upstream.  If a fix becomes available from Nvidia,
then I will review the fix, and determine wether it is safe to
apply to our driver in a future update.

Comment 2 Gary Peck 2004-02-11 22:24:16 EST
Just wanted to add that I also see this problem (so you don't think 
it's an isolated bug). I'm using an NVidia GeForce2 Go on a Dell 
Inspiron 8100 (same hardware as the Latitude C810). XFree86 driver 
is "nv". The problem happens when using APM with kernel 2.4 or 2.6, 
on all versions of RedHat from at least 9 through the current Fedora 
Development.

The problem comes up when the screen turns off, whether through power 
management or through closing the lid. Once it turns back on, the 
image gets split, as the poster said. If I use ACPI, then the screen 
just doesn't turn back on at all (which is fodder for a different bug 
report). You're right that it's probably an upstream bug. This bug 
doesn't bother me too much, but if I get around to it, I'll post 
upstream and add a link here.

For the original poster, an easy workaround is to press <Ctrl>-<Alt>-
<F1> to switch to a text console and then press <Ctrl>-<Alt>-<F7> to 
switch back to XWindows. This fixes the screen for me.
Comment 3 Mike A. Harris 2004-10-12 02:30:57 EDT
Since this bugzilla report was filed, there have been several major
updates to the X Window System, which may resolve this issue.  Users
who have experienced this problem are encouraged to upgrade to the
latest version of Fedora Core, which can be obtained from:

If this issue turns out to still be reproduceable in the latest
version of Fedora Core, please file a bug report in the X.Org
bugzilla located at http://bugs.freedesktop.org in the "xorg"
component.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes that
become available for consideration in future updates.

Note You need to log in before you can comment on or make changes to this bug.